Bug 1792315 - Review Request: php-laminas-di - Laminas Framework Di component
Summary: Review Request: php-laminas-di - Laminas Framework Di component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792313
Blocks: 1792350
TreeView+ depends on / blocked
 
Reported: 2020-01-17 14:02 UTC by Remi Collet
Modified: 2020-01-24 07:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-24 07:44:22 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 14:02:06 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-di.git/plain/php-laminas-di.spec?id=a1e14e1276d4451a4f631dd26b0c9108b300170d
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-di-2.6.1-2.remi.src.rpm
Description: 
laminas-di is an example of an Inversion of Control (IoC) container.
IoC containers are widely used to create object instances that have all
dependencies resolved and injected. Dependency Injection containers are
one form of IoC – but not the only form.

Documentation: https://docs.laminas.dev/laminas-di/



Fedora Account System Username: remi

Comment 1 Remi Collet 2020-01-20 09:40:08 UTC
Latest version is 3.1.2 but version 2 packaged to ensure stack consistency

Comment 2 Robert-André Mauchin 2020-01-22 19:28:01 UTC
 - License ok
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 3 Gwyn Ciesla 2020-01-23 14:12:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-di

Comment 4 Remi Collet 2020-01-24 07:44:22 UTC
Thanks,

Build


Note You need to log in before you can comment on or make changes to this bug.